<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejemplo 3</title>
	<script type="text/javascript">
		function inicio(){
			let celdas = [];
			/* Quiero acceder a los td */
			/* QuerySelector() devuelve un elemento */
			/* QuerySelectorAll() devuelve un array */
			celdas = document.querySelectorAll("td");
			celdas[0].innerHTML+=" lo que queramos";
			celdas[1].style.backgroundColor = '#CCC';
		}

		function cambia(posicion){
			let celdas = [];
		 	celdas = document.querySelectorAll("td");
		 	celdas[posicion].style.backgroundColor = "red";
		 	celdas[posicion].style.color = "white";
		}

	</script>
</head>
<body onload="inicio()">
	<table border="1">
		<tr>
			<td onclick="cambia(0)">1</td>
			<td onclick="cambia(1)">2</td>
			<td onclick="cambia(2)">3</td>
			<td onclick="cambia(3)">4</td>
			<td onclick="cambia(4)">5</td>
		</tr>
	</table>
</body>
</html>